///////////////////////////////////////////////////////////////////////////////
//                                                         
// DatetimeTest.cc
// ---------------
// datetime class test module
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 1996 by Bjoern Lemke                        
//
//
///////////////////////////////////////////////////////////////////////////////


#include "../src/Exception.h"
#include "../src/Datetime.h"

#define DTSAMPLE "17.11.2015 09:12:12"
#define DTFORMAT "%d.%m.%Y %H:%M:%S"

int main(int argc, char **argv)
{

    int numCheck = 1;
    int checkCount = 1;
    
    try {
	
	
	cout << "1.." << numCheck << endl;
	
	Datetime d(DTSAMPLE,DTFORMAT); 
	if ( d.asChain() == Chain(DTSAMPLE) )
	    cout << "ok " << checkCount << " - toChain" << endl;
	else
	    cout << "not ok " << checkCount << " - toChain" << endl;
	checkCount++;

    }
    catch (Exception e)
    {
	Chain msg;
	e.pop(msg);
	cout << "not ok " << checkCount << " - " << msg << endl;
	return 1;
    }
    
    return 0;

}

